# DataStudentsTS.py
# octobre 2020

import numpy as np
import matplotlib.pyplot as plt
#####################################################
## FOR STUDENTS : 
## an example of polygon with tension parameters 
## and the associated parametric tension spline
## (with chordal parametrization)
#---------------------------------------------------
# Le polygone :
xi = np.array([-2.5, -3.5, -7, -7.5, -1., 1.,  6. , 8.5, 7., 5.])
yi = np.array([-5., -7.5, -6., -0.5 , 6., -2., -4., -0., 5., 4.5])
N = np.size(xi)
plt.plot(xi,yi,'co')
plt.plot(xi,yi,'c--',lw=1)
# Paramètres de tensions locaux :
sigmai = np.array([50, 100, 100, 1, 1, 1, 100, 100, 50])
# La spline solution (xs,ys) :
(xs,ys) = np.loadtxt('DataTS.txt')
plt.plot(xs,ys,'r--',lw=1,label='tension spline of Luc')
plt.legend(loc='best')
#####################################################
